Plugin Error

Errors in plugins? Retry to Update or Configure.

TDiary::PluginError
Plugin error in '50sp.rb'.
Plugin error in '/home/tdiary/plugin/kw.rb'.
compile error
(plugin/kw.rb):77: syntax error, unexpected tLSHFT
<<<<<<< kw.rb
  ^
(plugin/kw.rb):79: syntax error, unexpected tEQQ, expecting kWHEN
=======
   ^
(plugin/kw.rb):81: syntax error, unexpected tRSHFT, expecting kWHEN
>>>>>>> 1.16
  ^
(plugin/kw.rb):85: syntax error, unexpected kWHEN, expecting kEND
			when 'sjis'
			    ^
(plugin/kw.rb):87: syntax error, unexpected kWHEN, expecting kEND
			when 'jis'
			    ^
(plugin/kw.rb):89: syntax error, unexpected kWHEN, expecting kEND
			when 'utf-8'
			    ^
(plugin/kw.rb):93: syntax error, unexpected ')', expecting kEND
(plugin/kw.rb):99: syntax error, unexpected kEND, expecting $end
(plugin/50sp.rb):129:in `load_plugin'